> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List events for an order dispute

> Retrieve the complete chronological event timeline for a specific order dispute.



## OpenAPI

````yaml /api/openapi.json get /v2/order-disputes/{orderDisputeCase}/events
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/order-disputes/{orderDisputeCase}/events:
    get:
      tags:
        - Order Disputes
      summary: List events for an order dispute
      description: >-
        Retrieve the complete chronological event timeline for a specific order
        dispute.
      parameters:
        - name: orderDisputeCase
          in: path
          description: The ID of the order dispute case.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Chronological list of events for an order dispute
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrderDisputeEvent'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    OrderDisputeEvent:
      description: A single immutable event on the order dispute timeline.
      type: object
      properties:
        id:
          description: Unique identifier for the event
          type: integer
        type:
          description: Type of event (dispute transition, note, closure, etc.)
          enum:
            - dispute_created
            - order_locked
            - seller_notified
            - seller_response_deadline_started
            - buyer_response_deadline_started
            - seller_accepted
            - seller_countered
            - seller_escalated
            - buyer_accepted_counter
            - buyer_escalated
            - seller_timeout_escalated
            - buyer_timeout_escalated
            - admin_refunded
            - admin_buyer_won
            - admin_seller_won
            - dispute_closed
          type: string
        actor_id:
          description: >-
            User ID of the actor who triggered this event, or null if system
            generated
          type: integer
          nullable: true
        actor_username:
          description: Username of the actor, or null if system generated
          type: string
          nullable: true
        payload:
          description: >-
            Event-specific payload (message, resolution details, evidence count,
            etc.)
          type: object
        evidence_urls:
          description: Direct URLs to evidence files attached to this event
          type: array
          items:
            format: uri
            type: string
        created_at:
          description: Unix timestamp when the event was recorded
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````